curl --request GET \
--url https://access.utgl.io/v1/cards/notification-settings \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://access.utgl.io/v1/cards/notification-settings"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://access.utgl.io/v1/cards/notification-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://access.utgl.io/v1/cards/notification-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://access.utgl.io/v1/cards/notification-settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://access.utgl.io/v1/cards/notification-settings")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://access.utgl.io/v1/cards/notification-settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"cardAccountId": "9e5aa301-6fa5-4526-98ac-12c1343e63fc",
"cardId": "373fa422-0b8c-4f09-ac74-64a5a2c4241e",
"purchaseNotification": "off",
"atmNotification": "off",
"onlinePurchaseVerification": "auto",
"fraudAlert": "whatsapp"
}Get Card Notification Settings
Retrieves the current notification settings for a card. From 2026-07-01 00:00 Asia/Hong_Kong, Access API card transaction notification settings do not support SMS or WhatsApp; legacy enum values may remain in responses only for backward compatibility.
curl --request GET \
--url https://access.utgl.io/v1/cards/notification-settings \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://access.utgl.io/v1/cards/notification-settings"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://access.utgl.io/v1/cards/notification-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://access.utgl.io/v1/cards/notification-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://access.utgl.io/v1/cards/notification-settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://access.utgl.io/v1/cards/notification-settings")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://access.utgl.io/v1/cards/notification-settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"cardAccountId": "9e5aa301-6fa5-4526-98ac-12c1343e63fc",
"cardId": "373fa422-0b8c-4f09-ac74-64a5a2c4241e",
"purchaseNotification": "off",
"atmNotification": "off",
"onlinePurchaseVerification": "auto",
"fraudAlert": "whatsapp"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Card account ID of the card to get notification settings.
Card ID of the card to get notification settings.
Response
Successful Response
Card account ID of the card for which notification settings were retrieved.
Card ID of the card for which notification settings were retrieved.
Notification method for purchase transactions.
sms, whatsapp, auto, off Notification method for ATM withdrawals.
sms, whatsapp, auto, off Notification method for online purchase verification codes.
sms, whatsapp, auto, off Notification method for fraud alerts.
sms, whatsapp, auto, off Was this page helpful?

